Subject: [saag] IETF-92 TLS working group summary

From: Joseph Salowey <[email-masked]>
Date: Thu, 26 Mar 2015 11:34:27 -0500

IETF-92 TLS - Thursday 9AM

Agreement on accepting pull request 107 for handling TLS version.

Discussion on 0-RTT handshake.  The data sent by client under 0-RTT is
vulnerable to replay and lacks PFS.  There was consensus to add 0-RTT to
TLS 1.3, however this needs to be confirmed on the list.   The impact of
0-RTT on applications and other uses needs to be evaluated.  There is
continued investigation on the behavior of TLS with respect to replayable
data.

There was consensus to move to a DH based handshake based on an online
signing version of Hugo Krawczyk’s OPTLS with some optimizations.  This
needs to be confirmed on the list.

There was consensus to move to an HKDF based key derivation function.  This
needs to be confirmed on the list.

There was consensus for AEAD IV to use record sequence number and pad with
0’s as described in the interim.  This needs to be confirmed on the list.